import { ValueRuleCell } from "./ValueRuleCell";
import { IConfigStorage } from "../../../Common/IConfigStorage";
import { ResultCell } from "../Common/ResultCell";
export declare class ValueRuleRow implements IConfigStorage {
    _id: string;
    cellData: {
        [index: string]: ValueRuleCell;
    };
    get cells(): ValueRuleCell[];
    resultCellsData: {
        [id: string]: ResultCell;
    };
    get resultCells(): ResultCell[];
    getStorageData(): object;
    setStorageData(data: object): void;
}
